%define pkgname	acpica-unix

Summary:	Intel ASL compiler/decompiler
Name:		iasl
Version:	20120420
Release:	1
Source0:	%{pkgname}-%{version}.tar.gz
Patch0:		acpica-20120420-Werror.patch
License:	ACPICA
Group:		Development/Kernel
Url:		http://www.acpica.org/downloads/unix_source_code.php
ExclusiveArch:	%{ix86} x86_64 %arm
BuildRequires:	flex, bison

%description
IASL compiles ASL (ACPI Source Language) into AML (ACPI Machine
Language). This AML is suitable for inclusion as a DSDT in sytem
firmware. It also can disassemble AML, for debugging purposes.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .werror~

%build
make -C source/compiler CC="%__cc $RPM_OPT_FLAGS"
cd source/tools
for i in *; do
	[ -d "$i" ] || continue
	[ "$i" = "examples" ] && continue # No Makefile here
	cd $i
	sed -i -e 's,-o $(PROG),-o $(PROG) -lpthread,g' Makefile
	make CC="%__cc $RPM_OPT_FLAGS"
	cd ..
done

# Some time soon, the project will likely switch over to using
# the versions in generate/unix:
#make -C generate/unix CC="%__cc $RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_bindir}
install -m755 source/compiler/iasl %{buildroot}%{_bindir}/
cd source/tools
for i in *; do
	[ -d "$i" ] || continue
	[ "$i" = "examples" ] && continue # No Makefile here
	cd $i
	install -m755 $i %buildroot%_bindir/
	cd ..
done

# Some time soon, the project will likely switch over to using
# the versions in generate/unix:
#make -C generate/unix install CC="%__cc $RPM_OPT_FLAGS" INSTALLDIR="%buildroot%_bindir"

%files
%defattr(-,root,root)
%_bindir/acpi*
%_bindir/iasl


%changelog
* Mon May 14 2012 Bernhard Rosenkraenzer <bero@bero.eu> 20120420-1
+ Revision: 798771
- Update to 20120420
- Build the other ACPI tools as well
- Build with the right compiler flags
- Fix build with -Werror

* Sun Dec 11 2011 Alexander Khrukin <akhrukin@mandriva.org> 20111123-1
+ Revision: 740294
- version update 20111123

  + Matthew Dawkins <mattydaw@mandriva.org>
    - added arch arm to exclusivearch, idk if this is right but it built

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 20090422-4
+ Revision: 665491
- mass rebuild

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 20090422-3mdv2011.0
+ Revision: 605945
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 20090422-2mdv2010.1
+ Revision: 522891
- rebuilt for 2010.1

* Sun May 17 2009 Isabel Vallejo <isabel@mandriva.org> 20090422-1mdv2010.0
+ Revision: 376696
- New release 20090422
- New release 20090422
- New release 20090422

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 20080213-2mdv2009.0
+ Revision: 221435
- rebuild

* Tue Feb 19 2008 Erwan Velu <erwan@mandriva.org> 20080213-1mdv2008.1
+ Revision: 173046
- New release 20080213

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 20061109-1mdv2008.1
+ Revision: 126921
- kill re-definition of %%buildroot on Pixel's request


* Tue Jan 30 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 20061109-1mdv2007.0
+ Revision: 115577
- initial packaging

